Bug 1196016 - VUL-0: mariadb: 10.4.23 and 10.4.24 releases
VUL-0: mariadb: 10.4.23 and 10.4.24 releases
Status: NEW
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/322292/
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2022-02-16 10:35 UTC by Carlos López
Modified: 2022-07-27 16:19 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos López 2022-02-16 10:35:54 UTC
MariaDB 10.4.24
Updated versions: 10.8.2 RC, 10.7.3, 10.6.7, 10.5.15, 10.4.24, 10.3.34 and 10.2.43.
https://mariadb.com/kb/en/mariadb-10424-release-notes/

Fixes the following security vulnerabilities:
 - CVE-2021-46665
 - CVE-2021-46664
 - CVE-2021-46661
 - CVE-2021-46668
 - CVE-2021-46663

MariaDB 10.4.23
Updated versions: 10.8.1 RC and 10.7.2, 10.6.6, 10.5.14, 10.4.23, 10.3.33 and 10.2.42.
https://mariadb.com/kb/en/mariadb-10423-release-notes/

Fixes the following security vulnerabilities:
 - CVE-2022-24052
 - CVE-2022-24051
 - CVE-2022-24050
 - CVE-2022-24048
Comment 1 Carlos López 2022-02-16 10:36:40 UTC
10.4.23 also addresses CVE-2021-46659, for which we already opened a bug (bnc#1195339).
Comment 2 Carlos López 2022-02-16 10:37:53 UTC
We currently ship:
 - SUSE:SLE-12-SP1:Update                         10.0.40.4
 - SUSE:SLE-12-SP3:Update:Products:Cloud8:Update  10.2.31
 - SUSE:SLE-12-SP4:Update                         10.2.41
 - SUSE:SLE-15:Update                             10.2.41
 - SUSE:SLE-15-SP2:Update                         10.4.22
 - SUSE:SLE-15-SP3:Update                         10.5.13
 - SUSE:SLE-15-SP4:Update                         10.6.5
 - openSUSE:Factory                               10.6.5
Comment 3 Carlos López 2022-02-16 10:39:21 UTC
For mariadb-100:
 - SUSE:SLE-12-SP4:Update  10.0.40.4
Comment 9 Swamp Workflow Management 2022-03-04 14:24:57 UTC
SUSE-SU-2022:0725-1: An update that fixes 12 vulnerabilities is now available.

Category: security (important)
Bug References: 1195325,1195334,1195339,1196016
CVE References: CVE-2021-46657,CVE-2021-46658,CVE-2021-46659,CVE-2021-46661,CVE-2021-46663,CVE-2021-46664,CVE-2021-46665,CVE-2021-46668,CVE-2022-24048,CVE-2022-24050,CVE-2022-24051,CVE-2022-24052
JIRA References: 
Sources used:
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    mariadb-10.2.43-3.51.1
SUSE Linux Enterprise Server for SAP 15 (src):    mariadb-10.2.43-3.51.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    mariadb-10.2.43-3.51.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    mariadb-10.2.43-3.51.1
SUSE Linux Enterprise Server 15-LTSS (src):    mariadb-10.2.43-3.51.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    mariadb-10.2.43-3.51.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    mariadb-10.2.43-3.51.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    mariadb-10.2.43-3.51.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    mariadb-10.2.43-3.51.1
SUSE Enterprise Storage 6 (src):    mariadb-10.2.43-3.51.1
SUSE CaaS Platform 4.0 (src):    mariadb-10.2.43-3.51.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 10 Swamp Workflow Management 2022-03-04 14:38:55 UTC
SUSE-SU-2022:0726-1: An update that fixes 12 vulnerabilities is now available.

Category: security (important)
Bug References: 1195325,1195334,1195339,1196016
CVE References: CVE-2021-46657,CVE-2021-46658,CVE-2021-46659,CVE-2021-46661,CVE-2021-46663,CVE-2021-46664,CVE-2021-46665,CVE-2021-46668,CVE-2022-24048,CVE-2022-24050,CVE-2022-24051,CVE-2022-24052
JIRA References: 
Sources used:
SUSE Manager Server 4.1 (src):    mariadb-10.4.24-3.25.1
SUSE Manager Retail Branch Server 4.1 (src):    mariadb-10.4.24-3.25.1
SUSE Manager Proxy 4.1 (src):    mariadb-10.4.24-3.25.1
SUSE Linux Enterprise Server for SAP 15-SP2 (src):    mariadb-10.4.24-3.25.1
SUSE Linux Enterprise Server 15-SP2-LTSS (src):    mariadb-10.4.24-3.25.1
SUSE Linux Enterprise Server 15-SP2-BCL (src):    mariadb-10.4.24-3.25.1
SUSE Linux Enterprise Realtime Extension 15-SP2 (src):    mariadb-10.4.24-3.25.1
SUSE Linux Enterprise High Performance Computing 15-SP2-LTSS (src):    mariadb-10.4.24-3.25.1
SUSE Linux Enterprise High Performance Computing 15-SP2-ESPOS (src):    mariadb-10.4.24-3.25.1
SUSE Enterprise Storage 7 (src):    mariadb-10.4.24-3.25.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 11 Swamp Workflow Management 2022-03-04 14:39:47 UTC
openSUSE-SU-2022:0726-1: An update that fixes 12 vulnerabilities is now available.

Category: security (important)
Bug References: 1195325,1195334,1195339,1196016
CVE References: CVE-2021-46657,CVE-2021-46658,CVE-2021-46659,CVE-2021-46661,CVE-2021-46663,CVE-2021-46664,CVE-2021-46665,CVE-2021-46668,CVE-2022-24048,CVE-2022-24050,CVE-2022-24051,CVE-2022-24052
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    mariadb-10.4.24-3.25.1
Comment 12 Swamp Workflow Management 2022-03-04 14:40:42 UTC
openSUSE-SU-2022:0725-1: An update that fixes 12 vulnerabilities is now available.

Category: security (important)
Bug References: 1195325,1195334,1195339,1196016
CVE References: CVE-2021-46657,CVE-2021-46658,CVE-2021-46659,CVE-2021-46661,CVE-2021-46663,CVE-2021-46664,CVE-2021-46665,CVE-2021-46668,CVE-2022-24048,CVE-2022-24050,CVE-2022-24051,CVE-2022-24052
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    mariadb-10.2.43-3.51.1
Comment 13 Swamp Workflow Management 2022-03-04 17:22:09 UTC
SUSE-SU-2022:0731-1: An update that fixes 12 vulnerabilities, contains one feature is now available.

Category: security (important)
Bug References: 1195325,1195334,1195339,1196016
CVE References: CVE-2021-46657,CVE-2021-46658,CVE-2021-46659,CVE-2021-46661,CVE-2021-46663,CVE-2021-46664,CVE-2021-46665,CVE-2021-46668,CVE-2022-24048,CVE-2022-24050,CVE-2022-24051,CVE-2022-24052
JIRA References: SLE-22245
Sources used:
SUSE Linux Enterprise Module for Server Applications 15-SP3 (src):    mariadb-10.5.15-150300.3.15.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 14 Swamp Workflow Management 2022-03-04 17:25:14 UTC
openSUSE-SU-2022:0731-1: An update that fixes 12 vulnerabilities, contains one feature is now available.

Category: security (important)
Bug References: 1195325,1195334,1195339,1196016
CVE References: CVE-2021-46657,CVE-2021-46658,CVE-2021-46659,CVE-2021-46661,CVE-2021-46663,CVE-2021-46664,CVE-2021-46665,CVE-2021-46668,CVE-2022-24048,CVE-2022-24050,CVE-2022-24051,CVE-2022-24052
JIRA References: SLE-22245
Sources used:
openSUSE Leap 15.3 (src):    mariadb-10.5.15-150300.3.15.1
Comment 15 Swamp Workflow Management 2022-03-09 17:20:17 UTC
SUSE-SU-2022:0782-1: An update that fixes 12 vulnerabilities is now available.

Category: security (important)
Bug References: 1195325,1195334,1195339,1196016
CVE References: CVE-2021-46657,CVE-2021-46658,CVE-2021-46659,CVE-2021-46661,CVE-2021-46663,CVE-2021-46664,CVE-2021-46665,CVE-2021-46668,CVE-2022-24048,CVE-2022-24050,CVE-2022-24051,CVE-2022-24052
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    mariadb-10.2.43-3.47.1
SUSE OpenStack Cloud 9 (src):    mariadb-10.2.43-3.47.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    mariadb-10.2.43-3.47.1
SUSE Linux Enterprise Server 12-SP5 (src):    mariadb-10.2.43-3.47.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    mariadb-10.2.43-3.47.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 18 Swamp Workflow Management 2022-04-29 13:20:03 UTC
SUSE-SU-2022:0731-2: An update that fixes 12 vulnerabilities, contains one feature is now available.

Category: security (important)
Bug References: 1195325,1195334,1195339,1196016
CVE References: CVE-2021-46657,CVE-2021-46658,CVE-2021-46659,CVE-2021-46661,CVE-2021-46663,CVE-2021-46664,CVE-2021-46665,CVE-2021-46668,CVE-2022-24048,CVE-2022-24050,CVE-2022-24051,CVE-2022-24052
JIRA References: SLE-22245
Sources used:
openSUSE Leap 15.4 (src):    mariadb-10.5.15-150300.3.15.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 19 Swamp Workflow Management 2022-07-27 16:19:14 UTC
SUSE-SU-2022:2561-1: An update that fixes 36 vulnerabilities, contains one feature is now available.

Category: security (important)
Bug References: 1195076,1195325,1195334,1195339,1196016,1198603,1198604,1198605,1198606,1198607,1198609,1198610,1198611,1198612,1198613,1198628,1198629,1198630,1198631,1198632,1198633,1198634,1198635,1198636,1198637,1198638,1198639,1198640,1199928
CVE References: CVE-2021-46657,CVE-2021-46658,CVE-2021-46659,CVE-2021-46661,CVE-2021-46663,CVE-2021-46664,CVE-2021-46665,CVE-2021-46668,CVE-2021-46669,CVE-2022-24048,CVE-2022-24050,CVE-2022-24051,CVE-2022-24052,CVE-2022-27376,CVE-2022-27377,CVE-2022-27378,CVE-2022-27379,CVE-2022-27380,CVE-2022-27381,CVE-2022-27382,CVE-2022-27383,CVE-2022-27384,CVE-2022-27386,CVE-2022-27387,CVE-2022-27444,CVE-2022-27445,CVE-2022-27446,CVE-2022-27447,CVE-2022-27448,CVE-2022-27449,CVE-2022-27451,CVE-2022-27452,CVE-2022-27455,CVE-2022-27456,CVE-2022-27457,CVE-2022-27458
JIRA References: SLE-22245
Sources used:
openSUSE Leap 15.4 (src):    mariadb-10.6.8-150400.3.7.1
SUSE Linux Enterprise Module for Server Applications 15-SP4 (src):    mariadb-10.6.8-150400.3.7.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.